/* $Id: tombot.hpp,v 1.3 2005/07/27 10:24:24 pohlt Exp $ */

#ifndef _TOMBOT_HPP_
#define _TOMBOT_HPP_

class World;

#include "bot.hpp"
#include "vector.hpp"

class TomBot : public Bot {
private:
	Event m_event;
	Vector m_lastPosition;
	int m_moveCounter, m_groundedCounter, m_airborneCounter;
	
public:
	TomBot( void );
	virtual Event getEvent() const {
		return m_event;
	}	
	virtual void update();
	void aimAtClosestAvatar( bool& targetFound, real& dist,
	                         real& diffAngle, bool& lineOfSight );
};

#endif // _TOMBOT_HPP_
