/* $Id: weaponhelicopter.hpp,v 1.1 2005/08/05 06:49:06 uwe Exp $ */

#ifndef _WEAPONHELICOPTER_HPP_
#define _WEAPONHELICOPTER_HPP_

/**********************************************************/

#include "weapon.hpp"
#include "helicopter.hpp"
#include "audio.hpp"

/**********************************************************/

class WeaponHelicopter : public Weapon
{
	public:
	
		WeaponHelicopter() {
			m_ID          = WEAPON_HELICOPTER;
			m_maximumAmmo =   1;
			m_reloadTime  =  15;
			m_chargeTime  = 100;
			rechargeNow();
			// load sample for explosion
			Helicopter::m_explodeSample = Audio::getInstance()
			    ->loadSound( "sound/effects/explosion1.wav" );
			// load sample for this cool "pling, pling" :)
			Helicopter::m_damageSample = Audio::getInstance()
			    ->loadSound( "sound/effects/ricochet.wav" );
		}

		virtual bool reallyShoot( World* world, Avatar* avatar,
		                          const StationaryGun* gun = 0x0 ) const;
};

/**********************************************************/

#endif // _WEAPONHELICOPTER_HPP_
